Name:         loki_update
License:      GPL
URL:          http://icculus.org/loki_setup/
Group:        Games/Other
Version:      1.6.1.20050201
Release:      1mdk
Summary:      Update Program for Games
Packager:     Alexandre Aufrere <loopkin@nikosoft.net>
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      loki_patch-current.tar.gz
Source1:      loki_setupdb-current.tar.gz
Source2:      loki_update-current.tar.gz
Source3:      loki_update.png
Patch0:       loki_patch.patch.gz
Patch1:       loki_update.patch.gz
BuildRequires:	gtk+-devel, libxml-devel, ImageMagick

%description
loki_update allow to update/patch games using the loki installer 
system


%prep
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/loki_patch
rm -rf $RPM_BUILD_DIR/loki_setupdb
rm -rf $RPM_BUILD_DIR/loki_update

%setup -n %{name} -b 1 -b 2
cd $RPM_BUILD_DIR
cd loki_update
%patch1 -p1
tar -C libs -xzf libs/ares-1.1.0.tar.gz
cd ..
cd loki_patch
%patch0 -p1
#find -type d -name CVS -print0 |xargs -0 rm -rv

%build
####### loki_setupdb #######
cd $RPM_BUILD_DIR
cd loki_setupdb
./autogen.sh
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
CXXFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
./configure \
        --prefix=%{_prefix} \
        --infodir=%{_infodir} \
        --mandir=%{_mandir} \
        --with-vendor=loki \
	--libdir=%{_libdir}
make
make md5sum
cd ..
####### loki_update #######
pushd .
cd loki_update
pushd .
cd libs/ares-1.1.0
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
CXXFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
./configure \
        --prefix=%{_prefix} \
        --infodir=%{_infodir} \
        --mandir=%{_mandir} \
	--libdir=%{_libdir}
make libares.a
cd ../../snarf-7.0
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
CXXFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
./configure \
        --prefix=%{_prefix} \
        --infodir=%{_infodir} \
        --mandir=%{_mandir} \
	--libdir=%{_libdir}
make
popd
make \
        OPTFLAGS="%{optflags} -fno-builtin-log -fPIC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
        DATADIR=%{_datadir}/loki_update \
        LOCALEDIR=%{_datadir}/locale \
        UI_LIBDIR=%{_libdir}/loki_update \
        MD5SUM=%{_libdir}/loki_update/md5sum
make gettext
popd
####### loki_patch ######
cd loki_patch
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
CXXFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
./configure \
        --prefix=%{_prefix} \
        --infodir=%{_infodir} \
        --mandir=%{_mandir} \
	--libdir=%{_libdir}
make

%install
rm -rf %{buildroot}
cd $RPM_BUILD_DIR
####### loki_update #######
install -d -m 755 %{buildroot}%{_libdir}/loki_update
install -m 755 loki_setupdb/md5sum %{buildroot}%{_libdir}/loki_update
cd loki_update
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_libdir}/loki_update
install -d -m 755 %{buildroot}%{_datadir}/loki_update/detect
install -d -m 755 %{buildroot}%{_datadir}/loki_update/pixmaps
install -m 755 loki_update %{buildroot}%{_bindir}/loki_update
# no static gtk ui. wastes only space
install -m 755 tty_ui.so %{buildroot}%{_libdir}/loki_update
install -m 755 gtk_sh_ui.so %{buildroot}%{_libdir}/loki_update
install -m 755 detect/[[:lower:]]* %{buildroot}%{_datadir}/loki_update/detect
install -m 644 loki_update.glade %{buildroot}%{_datadir}/loki_update
install -m 644 pixmaps/*.xpm %{buildroot}%{_datadir}/loki_update/pixmaps
/usr/bin/convert icon.xpm loki_update.png
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
install -m 644 loki_update.png %buildroot/%_iconsdir/
install -m 644 loki_update.png %buildroot/%_liconsdir/
install -m 644 loki_update.png %buildroot/%_miconsdir/
cp -a locale %{buildroot}%{_datadir}
%find_lang %{name}
cd ..
####### loki_patch #######
install -m 755 loki_patch/loki_patch %{buildroot}%{_bindir}/loki_patch
# menu entry
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/loki_update <<EOF
?package(loki_update): \
        command="%{_bindir}/loki_update"\\
        needs="X11"\\
        section="More Applications/Games/Other"\\
        icon="loki_update.png"\\
        title="Loki Update" \\
	longtitle="Tools for updating games"
EOF

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README
%dir %{_libdir}/loki_update
%dir %{_datadir}/loki_update
%{_bindir}/loki_update
%{_libdir}/loki_update/*
%{_datadir}/loki_update/*
%{_datadir}/locale/*/*/loki_update.mo
%{_bindir}/loki_patch
%{_menudir}/loki_update
%{_iconsdir}/loki_update.png
%{_liconsdir}/loki_update.png
%{_miconsdir}/loki_update.png


%changelog
* Sat Mar 20 2004 - Alexandre Aufrere <loopkin@nikosoft.net> 1.6.1.20050201-1mdk
- initial release

